Manifest-Version: 1.0
Ant-Version: Apache Ant 1.10.11
Created-By: 1.8.0_381 (Oracle Corporation)
Bnd-LastModified: 1749107018559
Bundle-ClassPath: .,lib/classmate-1.4.0.jar,lib/jackson-dataformat-xml
 -2.9.8.jar,lib/jackson-dataformat-yaml-2.14.2.jar,lib/jackson-datatyp
 e-jdk8-2.9.8.jar,lib/jackson-jaxrs-xml-provider-2.9.8.jar,lib/jackson
 -module-jaxb-annotations-2.9.8.jar,lib/graphql-java-17.5.jar,lib/grap
 hql-java-extended-scalars-17.1.jar,lib/java-dataloader-2.1.1.jar,lib/
 graphql-java-kickstart-12.0.0.jar,lib/graphql-java-servlet-12.0.0.jar
 ,lib/commons-codec-1.15.jar,lib/graphql-java-annotations-9.1.jar,lib/
 swagger-core-2.0.6.jar,lib/swagger-integration-2.0.6.jar,lib/swagger-
 jaxrs2-2.0.6.jar,lib/swagger-models-2.0.6.jar,lib/antlr4-runtime-4.9.
 2.jar,lib/commons-lang3-3.8.jar,lib/hibernate-validator-6.1.5.Final.j
 ar,lib/javassist-3.23.1-GA.jar,lib/reactive-streams-1.0.2.jar,lib/ref
 lections-0.9.11.jar,lib/snakeyaml-2.0.jar
Bundle-ManifestVersion: 2
Bundle-Name: Liferay Portal Vulcan Implementation
Bundle-SymbolicName: com.liferay.portal.vulcan.impl
Bundle-Vendor: Liferay, Inc.
Bundle-Version: 4.0.77.hotfix-10007-7310
Import-Package: aQute.bnd.annotation.metatype;version="1.45",com.faste
 rxml.jackson.annotation;version="2.13",com.fasterxml.jackson.core;ver
 sion="2.13",com.fasterxml.jackson.core.base;version="2.13",com.faster
 xml.jackson.core.format;version="2.13",com.fasterxml.jackson.core.io;
 version="2.13",com.fasterxml.jackson.core.json;version="2.13",com.fas
 terxml.jackson.core.type;version="2.13",com.fasterxml.jackson.core.ut
 il;version="2.13",com.fasterxml.jackson.databind;version="2.13",com.f
 asterxml.jackson.databind.annotation;version="2.13",com.fasterxml.jac
 kson.databind.cfg;version="2.13",com.fasterxml.jackson.databind.deser
 ;version="2.13",com.fasterxml.jackson.databind.deser.std;version="2.1
 3",com.fasterxml.jackson.databind.exc;version="2.13",com.fasterxml.ja
 ckson.databind.introspect;version="2.13",com.fasterxml.jackson.databi
 nd.jsonFormatVisitors;version="2.13",com.fasterxml.jackson.databind.j
 sontype;version="2.13",com.fasterxml.jackson.databind.jsontype.impl;v
 ersion="2.13",com.fasterxml.jackson.databind.module;version="2.13",co
 m.fasterxml.jackson.databind.node;version="2.13",com.fasterxml.jackso
 n.databind.ser;version="2.13",com.fasterxml.jackson.databind.ser.impl
 ;version="2.13",com.fasterxml.jackson.databind.ser.std;version="2.13"
 ,com.fasterxml.jackson.databind.type;version="2.13",com.fasterxml.jac
 kson.databind.util;version="2.13",com.fasterxml.jackson.jaxrs.base,co
 m.fasterxml.jackson.jaxrs.cfg,com.fasterxml.jackson.jaxrs.json;versio
 n="2.9",com.google.common.base;version="32.0",com.google.common.colle
 ct;version="32.0",com.google.common.io;version="32.0",com.google.comm
 on.util.concurrent;version="32.0",com.liferay.batch.engine;version="4
 .0",com.liferay.batch.engine.pagination;version="1.0",com.liferay.dep
 ot.model;version="2.0",com.liferay.depot.service;version="1.9",com.li
 feray.document.library.kernel.util;version="2.0",com.liferay.headless
 .batch.engine.dto.v1_0;version="3.0",com.liferay.headless.batch.engin
 e.resource.v1_0;version="7.1",com.liferay.osgi.service.tracker.collec
 tions.map;version="2.2",com.liferay.petra.function;version="1.5",com.
 liferay.petra.lang;version="1.4",com.liferay.petra.reflect;version="1
 .4",com.liferay.petra.string;version="1.5",com.liferay.portal.configu
 ration.metatype.annotations;version="1.3",com.liferay.portal.configur
 ation.persistence.listener;version="1.1",com.liferay.portal.kernel.be
 an;version="8.0",com.liferay.portal.kernel.change.tracking;version="1
 .5",com.liferay.portal.kernel.exception;version="9.7",com.liferay.por
 tal.kernel.json;version="8.11",com.liferay.portal.kernel.language;ver
 sion="8.3",com.liferay.portal.kernel.log;version="7.0",com.liferay.po
 rtal.kernel.model;version="5.7",com.liferay.portal.kernel.module.conf
 iguration;version="2.0",com.liferay.portal.kernel.search;version="9.7
 ",com.liferay.portal.kernel.search.filter;version="1.0",com.liferay.p
 ortal.kernel.security.auth;version="2.7",com.liferay.portal.kernel.se
 curity.permission;version="3.5",com.liferay.portal.kernel.service;ver
 sion="4.21",com.liferay.portal.kernel.settings.definition;version="1.
 0",com.liferay.portal.kernel.transaction;version="8.1",com.liferay.po
 rtal.kernel.util;version="10.42",com.liferay.portal.odata.entity;vers
 ion="2.1",com.liferay.portal.odata.filter;version="1.1",com.liferay.p
 ortal.odata.filter.expression;version="2.1",com.liferay.portal.odata.
 sort;version="1.2",com.liferay.portal.spring.transaction,com.liferay.
 portal.util;version="4.30",com.liferay.portal.vulcan.accept.language;
 version="1.1",com.liferay.portal.vulcan.aggregation;version="2.0",com
 .liferay.portal.vulcan.batch.engine;version="4.0",com.liferay.portal.
 vulcan.batch.engine.resource;version="1.0",com.liferay.portal.vulcan.
 dto.converter;version="3.1",com.liferay.portal.vulcan.fields;version=
 "1.5",com.liferay.portal.vulcan.graphql.annotation;version="1.2",com.
 liferay.portal.vulcan.graphql.contributor;version="2.1",com.liferay.p
 ortal.vulcan.graphql.servlet;version="2.1",com.liferay.portal.vulcan.
 jaxrs.context;version="1.0",com.liferay.portal.vulcan.jaxrs.exception
 .mapper;version="3.2",com.liferay.portal.vulcan.multipart;version="1.
 0",com.liferay.portal.vulcan.pagination;version="1.4",com.liferay.por
 tal.vulcan.resource;version="5.0",com.liferay.portal.vulcan.status;ve
 rsion="1.0",com.liferay.portal.vulcan.util;version="8.2",io.swagger.v
 3.oas.annotations;version="2.0",io.swagger.v3.oas.annotations.callbac
 ks;version="2.0",io.swagger.v3.oas.annotations.enums;version="2.0",io
 .swagger.v3.oas.annotations.extensions;version="2.0",io.swagger.v3.oa
 s.annotations.headers;version="2.0",io.swagger.v3.oas.annotations.inf
 o;version="2.0",io.swagger.v3.oas.annotations.links;version="2.0",io.
 swagger.v3.oas.annotations.media;version="2.0",io.swagger.v3.oas.anno
 tations.parameters;version="2.0",io.swagger.v3.oas.annotations.respon
 ses;version="2.0",io.swagger.v3.oas.annotations.security;version="2.0
 ",io.swagger.v3.oas.annotations.servers;version="2.0",io.swagger.v3.o
 as.annotations.tags;version="2.0",javax.activation,javax.annotation,j
 avax.crypto,javax.crypto.spec,javax.el,javax.persistence,javax.script
 ,javax.security.auth,javax.servlet,javax.servlet.http,javax.validatio
 n;version="2.0",javax.validation.bootstrap;version="2.0",javax.valida
 tion.constraints;version="2.0",javax.validation.constraintvalidation;
 version="2.0",javax.validation.executable;version="2.0",javax.validat
 ion.groups;version="2.0",javax.validation.metadata;version="2.0",java
 x.validation.spi;version="2.0",javax.validation.valueextraction;versi
 on="2.0",javax.websocket,javax.websocket.server,javax.ws.rs;version="
 2.1",javax.ws.rs.container;version="2.1",javax.ws.rs.core;version="2.
 1",javax.ws.rs.ext;version="2.1",javax.xml.bind,javax.xml.bind.annota
 tion,javax.xml.bind.annotation.adapters,javax.xml.namespace,javax.xml
 .parsers,javax.xml.stream,javax.xml.stream.events,javax.xml.transform
 ,javax.xml.transform.stream,javax.xml.validation,org.apache.commons.f
 ileupload;version="1.5",org.apache.commons.fileupload.disk;version="1
 .5",org.apache.commons.fileupload.servlet;version="1.5",org.apache.co
 mmons.fileupload.util;version="1.5",org.apache.cxf.common.util;versio
 n="3.4",org.apache.cxf.interceptor;version="3.4",org.apache.cxf.jaxrs
 .ext;version="3.4",org.apache.cxf.jaxrs.impl;version="3.4",org.apache
 .cxf.jaxrs.lifecycle;version="3.4",org.apache.cxf.jaxrs.model;version
 ="3.4",org.apache.cxf.jaxrs.provider;version="3.4",org.apache.cxf.jax
 rs.utils;version="3.4",org.apache.cxf.message;version="3.4",org.apach
 e.cxf.phase;version="3.4",org.apache.cxf.validation;version="3.4",org
 .codehaus.stax2,org.codehaus.stax2.io,org.codehaus.stax2.ri,org.dom4j
 ,org.dom4j.io,org.jboss.logging,org.osgi.framework;version="1.8",org.
 osgi.service.cm;version="1.5",org.osgi.service.component.runtime;vers
 ion="1.3",org.osgi.service.component.runtime.dto;version="1.3",org.os
 gi.service.http.context;version="1.0",org.osgi.util.promise;version="
 1.1",org.osgi.util.tracker;version="1.5",org.slf4j,org.springframewor
 k.transaction.interceptor,org.w3c.dom,org.xml.sax,sun.misc
Javac-Debug: on
Javac-Deprecation: off
Javac-Encoding: UTF-8
Liferay-Releng-App-Title: Liferay Portal Vulcan
Liferay-Releng-Bundle: true
Liferay-Releng-Category: Utility
Liferay-Releng-Deprecated: false
Liferay-Releng-Fix-Delivery-Method: core
Liferay-Releng-Labs: false
Liferay-Releng-Marketplace: true
Liferay-Releng-Portal-Required: true
Liferay-Releng-Public: false
Liferay-Releng-Restart-Required: true
Liferay-Releng-Suite: foundation
Liferay-Releng-Suite-Description: Apps and Features: System Settings, 
 Web Content Editors, Web Content Template Languages, Theme Tools, Mob
 ile Device Rules, Facebook Authentication, LDAP Authentication, NTLM 
 Authentication, OpenID Authentication, OpenSSO Authentication, Remote
  Authentication (AuthVerifiers), SSO-based Authentication, Token-base
 d Authentication, Portal Scripting, Elasticsearch Support, Solr Suppo
 rt, Documents and Media Store Implementations, and more.<br /><br />T
 he Foundation suite provides applications and features that extend th
 e functionality provided by Liferay's core. Much of the functionality
  that belonged to Liferay's core prior to Liferay 7 has been extracte
 d into the modules of the Foundation suite. The authentication module
 s provide a variety of mechanisms for allowing users and remote appli
 cations to authenticate to Liferay. The LDAP Authentication module al
 lows administrators to establish connections to one or more LDAP dire
 ctories from which users can be imported or exported. The SSO modules
  allow users to authenticate to Liferay using a variety of single-sig
 n on solutions. The Token-based Authentication module allows users or
  remote applications to authenticate to Liferay without a password. T
 he Scripting modules allow scripts to be written to invoke Liferay's 
 API in several languages including Groovy, BeanShell, Python, Ruby, a
 nd JavaScript.<br /><br />This suite is available in the Liferay bund
 le.
Liferay-Releng-Suite-Title: Liferay Foundation
Liferay-Releng-Support-Url: http://www.liferay.com
Liferay-Releng-Supported: true
Private-Package: com.liferay.portal.vulcan.internal.accept.language,co
 m.liferay.portal.vulcan.internal.batch.engine,com.liferay.portal.vulc
 an.internal.batch.engine.resource,com.liferay.portal.vulcan.internal.
 configuration,com.liferay.portal.vulcan.internal.configuration.persis
 tence.listener,com.liferay.portal.vulcan.internal.configuration.util,
 com.liferay.portal.vulcan.internal.dto.converter,com.liferay.portal.v
 ulcan.internal.fields.servlet,com.liferay.portal.vulcan.internal.grap
 hql.data.fetcher,com.liferay.portal.vulcan.internal.graphql.data.proc
 essor,com.liferay.portal.vulcan.internal.graphql.exception,com.lifera
 y.portal.vulcan.internal.graphql.instrumentation,com.liferay.portal.v
 ulcan.internal.graphql.servlet,com.liferay.portal.vulcan.internal.gra
 phql.util,com.liferay.portal.vulcan.internal.jackson.databind.ser,com
 .liferay.portal.vulcan.internal.jaxrs.container.request.filter,com.li
 feray.portal.vulcan.internal.jaxrs.container.response.filter,com.life
 ray.portal.vulcan.internal.jaxrs.context.provider,com.liferay.portal.
 vulcan.internal.jaxrs.context.resolver,com.liferay.portal.vulcan.inte
 rnal.jaxrs.dynamic.feature,com.liferay.portal.vulcan.internal.jaxrs.e
 xception.mapper,com.liferay.portal.vulcan.internal.jaxrs.extension,co
 m.liferay.portal.vulcan.internal.jaxrs.feature,com.liferay.portal.vul
 can.internal.jaxrs.message.body,com.liferay.portal.vulcan.internal.ja
 xrs.param.converter.provider,com.liferay.portal.vulcan.internal.jaxrs
 .serializer,com.liferay.portal.vulcan.internal.jaxrs.validation,com.l
 iferay.portal.vulcan.internal.jaxrs.writer.interceptor,com.liferay.po
 rtal.vulcan.internal.multipart,com.liferay.portal.vulcan.internal.par
 am.converter,com.liferay.portal.vulcan.internal.param.converter.provi
 der,com.liferay.portal.vulcan.internal.resource,com.liferay.portal.vu
 lcan.internal.security.permission,com.liferay.portal.vulcan.internal.
 settings.definition,content,lib,com.fasterxml.classmate,com.fasterxml
 .classmate.members,com.fasterxml.classmate.types,com.fasterxml.classm
 ate.util,com.fasterxml.jackson.dataformat.xml,com.fasterxml.jackson.d
 ataformat.xml.annotation,com.fasterxml.jackson.dataformat.xml.deser,c
 om.fasterxml.jackson.dataformat.xml.jaxb,com.fasterxml.jackson.datafo
 rmat.xml.ser,com.fasterxml.jackson.dataformat.xml.util,com.fasterxml.
 jackson.dataformat.yaml,com.fasterxml.jackson.dataformat.yaml.snakeya
 ml.error,com.fasterxml.jackson.dataformat.yaml.util,com.fasterxml.jac
 kson.datatype.jdk8,com.fasterxml.jackson.jaxrs.xml,com.fasterxml.jack
 son.module.jaxb,com.fasterxml.jackson.module.jaxb.deser,com.fasterxml
 .jackson.module.jaxb.ser,graphql,graphql.analysis,graphql.cachecontro
 l,graphql.collect,graphql.com.google.common.base,graphql.com.google.c
 ommon.collect,graphql.com.google.common.math,graphql.com.google.commo
 n.primitives,graphql.execution,graphql.execution.directives,graphql.e
 xecution.instrumentation,graphql.execution.instrumentation.dataloader
 ,graphql.execution.instrumentation.fieldvalidation,graphql.execution.
 instrumentation.nextgen,graphql.execution.instrumentation.parameters,
 graphql.execution.instrumentation.threadpools,graphql.execution.instr
 umentation.tracing,graphql.execution.nextgen,graphql.execution.nextge
 n.result,graphql.execution.preparsed,graphql.execution.preparsed.pers
 isted,graphql.execution.reactive,graphql.introspection,graphql.langua
 ge,graphql.nextgen,graphql.normalized,graphql.parser,graphql.parser.a
 ntlr,graphql.relay,graphql.scalar,graphql.schema,graphql.schema.diff,
 graphql.schema.diff.reporting,graphql.schema.idl,graphql.schema.idl.e
 rrors,graphql.schema.impl,graphql.schema.transform,graphql.schema.val
 idation,graphql.schema.visibility,graphql.util,graphql.validation,gra
 phql.validation.rules,graphql.scalars,graphql.scalars.alias,graphql.s
 calars.datetime,graphql.scalars.java,graphql.scalars.locale,graphql.s
 calars.numeric,graphql.scalars.object,graphql.scalars.regex,graphql.s
 calars.url,graphql.scalars.util,org.dataloader,org.dataloader.impl,or
 g.dataloader.stats,graphql.kickstart.execution,graphql.kickstart.exec
 ution.config,graphql.kickstart.execution.context,graphql.kickstart.ex
 ecution.error,graphql.kickstart.execution.input,graphql.kickstart.exe
 cution.instrumentation,graphql.kickstart.execution.subscriptions,grap
 hql.kickstart.execution.subscriptions.apollo,graphql.kickstart.servle
 t,graphql.kickstart.servlet.apollo,graphql.kickstart.servlet.cache,gr
 aphql.kickstart.servlet.config,graphql.kickstart.servlet.context,grap
 hql.kickstart.servlet.core,graphql.kickstart.servlet.core.internal,gr
 aphql.kickstart.servlet.input,graphql.kickstart.servlet.osgi,graphql.
 kickstart.servlet.subscriptions,org.apache.commons.codec,org.apache.c
 ommons.codec.binary,org.apache.commons.codec.cli,org.apache.commons.c
 odec.digest,org.apache.commons.codec.language,org.apache.commons.code
 c.language.bm,org.apache.commons.codec.net,graphql.annotations,graphq
 l.annotations.annotationTypes,graphql.annotations.annotationTypes.dir
 ectives.activation,graphql.annotations.annotationTypes.directives.def
 inition,graphql.annotations.connection,graphql.annotations.connection
 .exceptions,graphql.annotations.connection.simple,graphql.annotations
 .dataFetchers,graphql.annotations.dataFetchers.connection,graphql.ann
 otations.directives,graphql.annotations.processor,graphql.annotations
 .processor.directives,graphql.annotations.processor.exceptions,graphq
 l.annotations.processor.graphQLProcessors,graphql.annotations.process
 or.retrievers,graphql.annotations.processor.retrievers.fieldBuilders,
 graphql.annotations.processor.retrievers.fieldBuilders.field,graphql.
 annotations.processor.retrievers.fieldBuilders.method,graphql.annotat
 ions.processor.searchAlgorithms,graphql.annotations.processor.typeBui
 lders,graphql.annotations.processor.typeFunctions,graphql.annotations
 .processor.util,graphql.annotations.strategies,graphql.annotations.ty
 peResolvers,io.swagger.v3.core.converter,io.swagger.v3.core.filter,io
 .swagger.v3.core.jackson,io.swagger.v3.core.jackson.mixin,io.swagger.
 v3.core.model,io.swagger.v3.core.util,io.swagger.v3.oas.integration,i
 o.swagger.v3.oas.integration.api,io.swagger.v3.jaxrs2,io.swagger.v3.j
 axrs2.ext,io.swagger.v3.jaxrs2.integration,io.swagger.v3.jaxrs2.integ
 ration.api,io.swagger.v3.jaxrs2.integration.resources,io.swagger.v3.j
 axrs2.util,io.swagger.v3.oas.models,io.swagger.v3.oas.models.callback
 s,io.swagger.v3.oas.models.examples,io.swagger.v3.oas.models.headers,
 io.swagger.v3.oas.models.info,io.swagger.v3.oas.models.links,io.swagg
 er.v3.oas.models.media,io.swagger.v3.oas.models.parameters,io.swagger
 .v3.oas.models.responses,io.swagger.v3.oas.models.security,io.swagger
 .v3.oas.models.servers,io.swagger.v3.oas.models.tags,org.antlr.v4.run
 time,org.antlr.v4.runtime.atn,org.antlr.v4.runtime.dfa,org.antlr.v4.r
 untime.misc,org.antlr.v4.runtime.tree,org.antlr.v4.runtime.tree.patte
 rn,org.antlr.v4.runtime.tree.xpath,org.apache.commons.lang3,org.apach
 e.commons.lang3.arch,org.apache.commons.lang3.builder,org.apache.comm
 ons.lang3.concurrent,org.apache.commons.lang3.event,org.apache.common
 s.lang3.exception,org.apache.commons.lang3.math,org.apache.commons.la
 ng3.mutable,org.apache.commons.lang3.reflect,org.apache.commons.lang3
 .text,org.apache.commons.lang3.text.translate,org.apache.commons.lang
 3.time,org.apache.commons.lang3.tuple,org.hibernate.validator,org.hib
 ernate.validator.cfg,org.hibernate.validator.cfg.context,org.hibernat
 e.validator.cfg.defs,org.hibernate.validator.cfg.defs.br,org.hibernat
 e.validator.cfg.defs.pl,org.hibernate.validator.constraints,org.hiber
 nate.validator.constraints.br,org.hibernate.validator.constraints.pl,
 org.hibernate.validator.constraints.time,org.hibernate.validator.cons
 traintvalidation,org.hibernate.validator.constraintvalidators,org.hib
 ernate.validator.engine,org.hibernate.validator.group,org.hibernate.v
 alidator.internal,org.hibernate.validator.internal.cfg.context,org.hi
 bernate.validator.internal.constraintvalidators,org.hibernate.validat
 or.internal.constraintvalidators.bv,org.hibernate.validator.internal.
 constraintvalidators.bv.money,org.hibernate.validator.internal.constr
 aintvalidators.bv.notempty,org.hibernate.validator.internal.constrain
 tvalidators.bv.number,org.hibernate.validator.internal.constraintvali
 dators.bv.number.bound,org.hibernate.validator.internal.constraintval
 idators.bv.number.bound.decimal,org.hibernate.validator.internal.cons
 traintvalidators.bv.number.sign,org.hibernate.validator.internal.cons
 traintvalidators.bv.size,org.hibernate.validator.internal.constraintv
 alidators.bv.time,org.hibernate.validator.internal.constraintvalidato
 rs.bv.time.future,org.hibernate.validator.internal.constraintvalidato
 rs.bv.time.futureorpresent,org.hibernate.validator.internal.constrain
 tvalidators.bv.time.past,org.hibernate.validator.internal.constraintv
 alidators.bv.time.pastorpresent,org.hibernate.validator.internal.cons
 traintvalidators.hv,org.hibernate.validator.internal.constraintvalida
 tors.hv.br,org.hibernate.validator.internal.constraintvalidators.hv.p
 l,org.hibernate.validator.internal.constraintvalidators.hv.time,org.h
 ibernate.validator.internal.engine,org.hibernate.validator.internal.e
 ngine.constraintdefinition,org.hibernate.validator.internal.engine.co
 nstraintvalidation,org.hibernate.validator.internal.engine.groups,org
 .hibernate.validator.internal.engine.messageinterpolation,org.hiberna
 te.validator.internal.engine.messageinterpolation.el,org.hibernate.va
 lidator.internal.engine.messageinterpolation.parser,org.hibernate.val
 idator.internal.engine.messageinterpolation.util,org.hibernate.valida
 tor.internal.engine.path,org.hibernate.validator.internal.engine.reso
 lver,org.hibernate.validator.internal.engine.scripting,org.hibernate.
 validator.internal.engine.validationcontext,org.hibernate.validator.i
 nternal.engine.valuecontext,org.hibernate.validator.internal.engine.v
 alueextraction,org.hibernate.validator.internal.metadata,org.hibernat
 e.validator.internal.metadata.aggregated,org.hibernate.validator.inte
 rnal.metadata.aggregated.rule,org.hibernate.validator.internal.metada
 ta.core,org.hibernate.validator.internal.metadata.descriptor,org.hibe
 rnate.validator.internal.metadata.facets,org.hibernate.validator.inte
 rnal.metadata.location,org.hibernate.validator.internal.metadata.prov
 ider,org.hibernate.validator.internal.metadata.raw,org.hibernate.vali
 dator.internal.properties,org.hibernate.validator.internal.properties
 .javabean,org.hibernate.validator.internal.util,org.hibernate.validat
 or.internal.util.annotation,org.hibernate.validator.internal.util.cla
 sshierarchy,org.hibernate.validator.internal.util.logging,org.hiberna
 te.validator.internal.util.logging.formatter,org.hibernate.validator.
 internal.util.privilegedactions,org.hibernate.validator.internal.util
 .stereotypes,org.hibernate.validator.internal.xml,org.hibernate.valid
 ator.internal.xml.config,org.hibernate.validator.internal.xml.mapping
 ,org.hibernate.validator.messageinterpolation,org.hibernate.validator
 .metadata,org.hibernate.validator.parameternameprovider,org.hibernate
 .validator.path,org.hibernate.validator.resourceloading,org.hibernate
 .validator.spi.cfg,org.hibernate.validator.spi.group,org.hibernate.va
 lidator.spi.messageinterpolation,org.hibernate.validator.spi.nodename
 provider,org.hibernate.validator.spi.properties,org.hibernate.validat
 or.spi.resourceloading,org.hibernate.validator.spi.scripting,javassis
 t,javassist.bytecode,javassist.bytecode.analysis,javassist.bytecode.a
 nnotation,javassist.bytecode.stackmap,javassist.compiler,javassist.co
 mpiler.ast,javassist.convert,javassist.expr,javassist.runtime,javassi
 st.scopedpool,javassist.tools,javassist.tools.reflect,javassist.tools
 .rmi,javassist.tools.web,javassist.util,javassist.util.proxy,org.reac
 tivestreams,org.reflections,org.reflections.adapters,org.reflections.
 scanners,org.reflections.serializers,org.reflections.util,org.reflect
 ions.vfs,org.yaml.snakeyaml,org.yaml.snakeyaml.comments,org.yaml.snak
 eyaml.composer,org.yaml.snakeyaml.constructor,org.yaml.snakeyaml.emit
 ter,org.yaml.snakeyaml.env,org.yaml.snakeyaml.error,org.yaml.snakeyam
 l.events,org.yaml.snakeyaml.extensions.compactnotation,org.yaml.snake
 yaml.external.biz.base64Coder,org.yaml.snakeyaml.external.com.google.
 gdata.util.common.base,org.yaml.snakeyaml.inspector,org.yaml.snakeyam
 l.internal,org.yaml.snakeyaml.introspector,org.yaml.snakeyaml.nodes,o
 rg.yaml.snakeyaml.parser,org.yaml.snakeyaml.reader,org.yaml.snakeyaml
 .representer,org.yaml.snakeyaml.resolver,org.yaml.snakeyaml.scanner,o
 rg.yaml.snakeyaml.serializer,org.yaml.snakeyaml.tokens,org.yaml.snake
 yaml.util
Provide-Capability: osgi.service;objectClass:List<String>="com.liferay
 .portal.configuration.persistence.listener.ConfigurationModelListener
 ";uses:="com.liferay.portal.configuration.persistence.listener",osgi.
 service;objectClass:List<String>="com.liferay.portal.kernel.security.
 permission.PermissionCheckerFactory";uses:="com.liferay.portal.kernel
 .security.permission",osgi.service;objectClass:List<String>="com.life
 ray.portal.kernel.settings.definition.ConfigurationBeanDeclaration";u
 ses:="com.liferay.portal.kernel.settings.definition",osgi.service;obj
 ectClass:List<String>="com.liferay.portal.vulcan.batch.engine.resourc
 e.VulcanBatchEngineImportTaskResource";uses:="com.liferay.portal.vulc
 an.batch.engine.resource",osgi.service;objectClass:List<String>="com.
 liferay.portal.vulcan.dto.converter.DTOConverterRegistry";uses:="com.
 liferay.portal.vulcan.dto.converter",osgi.service;objectClass:List<St
 ring>="com.liferay.portal.vulcan.internal.graphql.data.processor.Life
 rayMethodDataFetchingProcessor";uses:="com.liferay.portal.vulcan.inte
 rnal.graphql.data.processor",osgi.service;objectClass:List<String>="c
 om.liferay.portal.vulcan.resource.OpenAPIResource";uses:="com.liferay
 .portal.vulcan.resource",osgi.service;objectClass:List<String>="graph
 ql.annotations.processor.GraphQLAnnotationsComponent";uses:="graphql.
 annotations.processor",osgi.service;objectClass:List<String>="graphql
 .annotations.processor.graphQLProcessors.GraphQLInputProcessor";uses:
 ="graphql.annotations.processor.graphQLProcessors",osgi.service;objec
 tClass:List<String>="graphql.annotations.processor.graphQLProcessors.
 GraphQLOutputProcessor";uses:="graphql.annotations.processor.graphQLP
 rocessors",osgi.service;objectClass:List<String>="graphql.annotations
 .processor.retrievers.GraphQLExtensionsHandler";uses:="graphql.annota
 tions.processor.retrievers",osgi.service;objectClass:List<String>="gr
 aphql.annotations.processor.retrievers.GraphQLFieldRetriever";uses:="
 graphql.annotations.processor.retrievers",osgi.service;objectClass:Li
 st<String>="graphql.annotations.processor.retrievers.GraphQLInterface
 Retriever";uses:="graphql.annotations.processor.retrievers",osgi.serv
 ice;objectClass:List<String>="graphql.annotations.processor.retriever
 s.GraphQLObjectHandler";uses:="graphql.annotations.processor.retrieve
 rs",osgi.service;objectClass:List<String>="graphql.annotations.proces
 sor.retrievers.GraphQLObjectInfoRetriever";uses:="graphql.annotations
 .processor.retrievers",osgi.service;objectClass:List<String>="graphql
 .annotations.processor.retrievers.GraphQLTypeRetriever";uses:="graphq
 l.annotations.processor.retrievers",osgi.service;objectClass:List<Str
 ing>="graphql.annotations.processor.searchAlgorithms.SearchAlgorithm"
 ;uses:="graphql.annotations.processor.searchAlgorithms",osgi.service;
 objectClass:List<String>="graphql.annotations.processor.typeFunctions
 .TypeFunction";uses:="graphql.annotations.processor.typeFunctions",os
 gi.service;objectClass:List<String>="graphql.annotations.processor.ut
 il.DataFetcherConstructor";uses:="graphql.annotations.processor.util"
 ,osgi.service;objectClass:List<String>="javax.servlet.Servlet,javax.s
 ervlet.http.HttpServlet";uses:="javax.servlet,javax.servlet.http",osg
 i.service;objectClass:List<String>="javax.ws.rs.core.Feature";uses:="
 javax.ws.rs.core",liferay.resource.bundle;bundle.symbolic.name="com.l
 iferay.portal.vulcan.impl";resource.bundle.base.name="content.Languag
 e"
Require-Capability: osgi.extender;filter:="(&(osgi.extender=osgi.compo
 nent)(version>=1.3.0)(!(version>=2.0.0)))",osgi.service;filter:="(obj
 ectClass=com.liferay.depot.service.DepotEntryLocalService)";effective
 :=active,osgi.service;filter:="(objectClass=com.liferay.document.libr
 ary.kernel.util.DLValidator)";effective:=active,osgi.service;filter:=
 "(objectClass=com.liferay.headless.batch.engine.resource.v1_0.ImportT
 askResource)";effective:=active,osgi.service;filter:="(objectClass=co
 m.liferay.portal.kernel.language.Language)";effective:=active,osgi.se
 rvice;filter:="(objectClass=com.liferay.portal.kernel.module.configur
 ation.ConfigurationProvider)";effective:=active,osgi.service;filter:=
 "(objectClass=com.liferay.portal.kernel.service.CompanyLocalService)"
 ;effective:=active,osgi.service;filter:="(objectClass=com.liferay.por
 tal.kernel.service.GroupLocalService)";effective:=active,osgi.service
 ;filter:="(objectClass=com.liferay.portal.kernel.service.ResourceActi
 onLocalService)";effective:=active,osgi.service;filter:="(objectClass
 =com.liferay.portal.kernel.service.ResourcePermissionLocalService)";e
 ffective:=active,osgi.service;filter:="(objectClass=com.liferay.porta
 l.kernel.service.RoleLocalService)";effective:=active,osgi.service;fi
 lter:="(objectClass=com.liferay.portal.kernel.util.Portal)";effective
 :=active,osgi.service;filter:="(objectClass=com.liferay.portal.odata.
 filter.ExpressionConvert)";effective:=active,osgi.service;filter:="(o
 bjectClass=com.liferay.portal.odata.filter.FilterParserProvider)";eff
 ective:=active,osgi.service;filter:="(objectClass=com.liferay.portal.
 odata.sort.SortParserProvider)";effective:=active,osgi.service;filter
 :="(objectClass=com.liferay.portal.vulcan.batch.engine.resource.Vulca
 nBatchEngineImportTaskResource)";effective:=active,osgi.service;filte
 r:="(objectClass=com.liferay.portal.vulcan.internal.graphql.data.proc
 essor.LiferayMethodDataFetchingProcessor)";effective:=active,osgi.ser
 vice;filter:="(objectClass=graphql.annotations.processor.graphQLProce
 ssors.GraphQLInputProcessor)";effective:=active,osgi.service;filter:=
 "(objectClass=graphql.annotations.processor.graphQLProcessors.GraphQL
 OutputProcessor)";effective:=active,osgi.service;filter:="(objectClas
 s=graphql.annotations.processor.retrievers.GraphQLExtensionsHandler)"
 ;effective:=active,osgi.service;filter:="(objectClass=graphql.annotat
 ions.processor.retrievers.GraphQLExtensionsHandler)";effective:=activ
 e;resolution:=optional,osgi.service;filter:="(objectClass=graphql.ann
 otations.processor.retrievers.GraphQLFieldRetriever)";effective:=acti
 ve,osgi.service;filter:="(objectClass=graphql.annotations.processor.r
 etrievers.GraphQLFieldRetriever)";effective:=active;resolution:=optio
 nal,osgi.service;filter:="(objectClass=graphql.annotations.processor.
 retrievers.GraphQLInterfaceRetriever)";effective:=active;resolution:=
 optional,osgi.service;filter:="(objectClass=graphql.annotations.proce
 ssor.retrievers.GraphQLObjectInfoRetriever)";effective:=active,osgi.s
 ervice;filter:="(objectClass=graphql.annotations.processor.retrievers
 .GraphQLObjectInfoRetriever)";effective:=active;resolution:=optional,
 osgi.service;filter:="(objectClass=graphql.annotations.processor.retr
 ievers.GraphQLTypeRetriever)";effective:=active,osgi.service;filter:=
 "(objectClass=graphql.annotations.processor.searchAlgorithms.SearchAl
 gorithm)";effective:=active,osgi.service;filter:="(objectClass=graphq
 l.annotations.processor.searchAlgorithms.SearchAlgorithm)";effective:
 =active;resolution:=optional,osgi.service;filter:="(objectClass=graph
 ql.annotations.processor.typeFunctions.TypeFunction)";effective:=acti
 ve,osgi.service;filter:="(objectClass=graphql.annotations.processor.t
 ypeFunctions.TypeFunction)";effective:=active;resolution:=optional;ca
 rdinality:=multiple,osgi.service;filter:="(objectClass=graphql.annota
 tions.processor.util.DataFetcherConstructor)";effective:=active,osgi.
 service;filter:="(objectClass=graphql.execution.preparsed.PreparsedDo
 cumentProvider)";effective:=active;resolution:=optional,osgi.service;
 filter:="(objectClass=graphql.kickstart.execution.config.ExecutionStr
 ategyProvider)";effective:=active;resolution:=optional,osgi.service;f
 ilter:="(objectClass=graphql.kickstart.execution.config.Instrumentati
 onProvider)";effective:=active;resolution:=optional,osgi.service;filt
 er:="(objectClass=graphql.kickstart.execution.error.GraphQLErrorHandl
 er)";effective:=active;resolution:=optional,osgi.service;filter:="(ob
 jectClass=graphql.kickstart.servlet.context.GraphQLServletContextBuil
 der)";effective:=active;resolution:=optional,osgi.service;filter:="(o
 bjectClass=graphql.kickstart.servlet.core.GraphQLServletListener)";ef
 fective:=active;resolution:=optional;cardinality:=multiple,osgi.servi
 ce;filter:="(objectClass=graphql.kickstart.servlet.core.GraphQLServle
 tRootObjectBuilder)";effective:=active;resolution:=optional,osgi.serv
 ice;filter:="(objectClass=graphql.kickstart.servlet.osgi.GraphQLCodeR
 egistryProvider)";effective:=active;resolution:=optional,osgi.service
 ;filter:="(objectClass=graphql.kickstart.servlet.osgi.GraphQLMutation
 Provider)";effective:=active;resolution:=optional;cardinality:=multip
 le,osgi.service;filter:="(objectClass=graphql.kickstart.servlet.osgi.
 GraphQLProvider)";effective:=active;resolution:=optional;cardinality:
 =multiple,osgi.service;filter:="(objectClass=graphql.kickstart.servle
 t.osgi.GraphQLQueryProvider)";effective:=active;resolution:=optional;
 cardinality:=multiple,osgi.service;filter:="(objectClass=graphql.kick
 start.servlet.osgi.GraphQLSubscriptionProvider)";effective:=active;re
 solution:=optional;cardinality:=multiple,osgi.service;filter:="(objec
 tClass=graphql.kickstart.servlet.osgi.GraphQLTypesProvider)";effectiv
 e:=active;resolution:=optional;cardinality:=multiple,osgi.service;fil
 ter:="(objectClass=org.osgi.service.cm.ConfigurationAdmin)";effective
 :=active,osgi.service;filter:="(objectClass=org.osgi.service.componen
 t.runtime.ServiceComponentRuntime)";effective:=active,osgi.contract;o
 sgi.contract=JavaServlet;filter:="(&(osgi.contract=JavaServlet)(versi
 on=3.1.0))",osgi.ee;filter:="(&(osgi.ee=JavaSE)(version=1.8))"
Service-Component: OSGI-INF/com.liferay.portal.vulcan.internal.batch.e
 ngine.VulcanBatchEngineTaskItemDelegateAdaptorFactory.xml,OSGI-INF/co
 m.liferay.portal.vulcan.internal.batch.engine.resource.VulcanBatchEng
 ineImportTaskResourceImpl.xml,OSGI-INF/com.liferay.portal.vulcan.inte
 rnal.configuration.persistence.listener.VulcanConfigurationModelListe
 ner.xml,OSGI-INF/com.liferay.portal.vulcan.internal.dto.converter.DTO
 ConverterRegistryImpl.xml,OSGI-INF/com.liferay.portal.vulcan.internal
 .graphql.data.processor.LiferayMethodDataFetchingProcessor.xml,OSGI-I
 NF/com.liferay.portal.vulcan.internal.graphql.servlet.GraphQLServletE
 xtender.xml,OSGI-INF/com.liferay.portal.vulcan.internal.jaxrs.feature
 .VulcanFeature.xml,OSGI-INF/com.liferay.portal.vulcan.internal.resour
 ce.OpenAPIResourceImpl.xml,OSGI-INF/com.liferay.portal.vulcan.interna
 l.security.permission.LiberalPermissionCheckerFactoryImpl.xml,OSGI-IN
 F/com.liferay.portal.vulcan.internal.settings.definition.HeadlessAPIC
 ompanyConfigurationBeanDeclaration.xml
Tool: Bnd-5.3.0.202102221516

